package com.avg.zaap.crashlibrary.provider;

/**
 * This exception should be thrown whenever a {@link ICrashSyncProvider} instance encounters an
 * unrecoverable error.
 * <p/>
 * Created by marek.osvald on 8.4.2016.
 */
@SuppressWarnings("unused")
public class CrashProviderException extends Exception {

    /**
     * Default constructor. Calls {@link RuntimeException} constructor.
     */
    public CrashProviderException() {
        super();
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message.
     *
     * @param detailMessage detailed message to initialize the exception with
     */
    public CrashProviderException(String detailMessage) {
        super(detailMessage);
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message and a throwable
     * instance.
     *
     * @param detailMessage detailed message to initialize the exception with
     * @param throwable     throwable instance to initialize the exception with
     */
    public CrashProviderException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    /**
     * Parametric constructor. Initializes the exception with a throwable instance.
     *
     * @param throwable throwable instance to initialize the exception with
     */
    public CrashProviderException(Throwable throwable) {
        super(throwable);
    }

}
